%define	oname		OGRE
%define	name		ogre
%define	version		1.4.6
%define rel		1
%define	release		%mkrel %rel

%define uversion %(echo %{version}| tr . _)
%define	lib_name_orig	lib%{name}
%define	lib_name	%mklibname %{name} %{uversion}
%define	lib_name_devel	%mklibname %{name} -d
%{expand:%%define filever %(echo v%{version}| tr . -)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-linux_osx-%{filever}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.ogre3d.org/
Summary:	Object-Oriented Graphics Rendering Engine
BuildRequires:	X11-devel MesaGLU-devel	SDL-devel
BuildRequires:	freeimage-devel lcms-devel nas-devel
BuildRequires:	gtkmm2.4-devel libglademm2.4-devel zziplib-devel
BuildRequires:	OpenEXR-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	libogre

%description
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Obsoletes:	%mklibname ogre 13

%description -n	%{lib_name}
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 13
Obsoletes:	%mklibname %{name} 1_4_1 -d

%description -n	%{lib_name_devel}
Development headers and libraries for writing programs using %{oname}

%prep
%setup -q -n %{name}new
find -type d -name CVS|xargs rm -rf

# Correct path to lib dir (suggested by Peter Chapman)
perl -pi -e 's,/usr/local/lib,%_libdir,g' Samples/Common/bin/plugins.cfg
# Don't include this plugin as it's not built (Peter Chapman)
perl -pi -e 's,Plugin=Plugin_CgProgramManager.so,,g' Samples/Common/bin/plugins.cfg

%build
%configure2_5x	--with-pic \
		--with-cfgtk=gtk \
		--disable-cg \
		--enable-openexr
%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{oname}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libOgreMain-%{version}.so

%files -n %{lib_name_devel}
%defattr(644,root,root,755)
%doc Docs/* LINUX.DEV Samples
%defattr(-,root,root)
%{_libdir}/libOgreMain.so
%{_libdir}/libOgreMain.la
%{_libdir}/pkgconfig/%{oname}.pc
%{_includedir}/%{oname}



%changelog
* Thu Feb 21 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 173579
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.5-1mdv2008.1
+ Revision: 120421
- New version

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 1.4.4-1mdv2008.0
+ Revision: 80598
- move plugins out of lib package to main package
- use Fedora license policy
- new devel policy
- new release 1.4.4

* Thu May 24 2007 Adam Williamson <awilliamson@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 30874
- package example code, fix paths in Samples/Common/bin/plugins.cfg (Peter Chapman bug #30997)
- 1.4.1

* Sat Apr 28 2007 Olivier Blin <oblin@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 19022
- obsolete old library packages (major 13)
- conflict with old libogre packages previously containing binaries
- move binaries and doc in a new ogre package
- do not make the library provide ogre and libogre anymore
- move LINUX.DEV doc in devel package
- use makeinstall macro to fix samples installation
- remove data dir (not installed anymore)
- use 1_4_0 as package library version since upstream does not specify version anymore in the library (the API being changed every release)
- buildrequire freeimage-devel instead of other image libraries
- do not use SDL platform, it does not exist anymore
- 1.4.0


* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1mdv2007.0
+ Revision: 126502
- update to the lastest stable version
- enable OpenEXR plugin
- set correct major and make use of it

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - update buildrequires for libglademm too
    - update buildrequires

* Fri Dec 15 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.4-2mdv2007.1
+ Revision: 97210
- fix buildrequires
- bump
- 1.2.4
  cleanups
- Import ogre

* Sat Apr 16 2005 Guillaume Bedot <littletux@mandriva.org>  1.0.0-2mdk
- rebuilt with devil built with allegro-testing.
- use mkrel.

* Tue Mar 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major 5
- drop P2, the possibility to disable cg has finally been added upstream:)
- nuke static devel package

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.2-1mdk
- 0.15.2

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.1-1mdk
- 0.15.1

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-2mdk
- rebuild

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.1

* Sat Apr 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.13.1-1mdk
- 0.13.1

